Search Exchange

Search All Sites

Nagios Live Webinars

Let our experts show you how Nagios can help your organization.

Contact Us

Phone: 1-888-NAGIOS-1
Email: sales@nagios.com

Login

Remember Me

Directory Tree

check_poodle

Rating
0 votes
Favoured:
0
Current Version
1.0
Compatible With
  • Nagios 1.x
  • Nagios 2.x
  • Nagios 3.x
  • Nagios 4.x
  • Nagios XI
Owner
License
GPL
Hits
13620
Network Monitoring Software - Download Nagios XI
Log Management Software - Nagios Log Server - Download
Netflow Analysis Software - Nagios Network Analyzer - Download
This plugin checks if a webserver has been patched for the SSLv3 POODLE vulnerability. (CVE­-2014­-3566)
$ check_poodle --hostname www.google.com
CRITICAL - Established SSLv3 connection using cipher RC4-SHA. Vulnerable!
$ check_poodle --hostname www.yahoo.com
CRITICAL - Established SSLv3 connection using cipher RC4-SHA. Vulnerable!
$ check_poodle --hostname www.exchange.nagios.org
OK - Could not establish ssl connection. Not vulnerable
$ check_poodle --hostname exchange.nagios.org
OK - Could not establish ssl connection. Not vulnerable
$ check_poodle --hostname www.twitter.com
OK - Could not establish ssl connection. Not vulnerable
$ check_poodle --hostname labs.consol.de
OK - Could not establish ssl connection. Not vulnerable